﻿#targetengine "session"
//Блок инициализации основные параметров скрипта, считывание ini-файла

if (BridgeTalk.appName == "indesign") {

	$.localize = true;
	//Русский/английский диалоги
	St_Mes1 = {en: "ATTENTION! In the course of loading InDesign this message will repeat three times.\nStart MT-Dialog-CS5 to load the menu",
		ru: "ВНИМАНИЕ! В процессе загрузки InDesign это сообщение будет повторяться три раза.\nЗапустите MT-Dialog-CS5, чтобы загрузить меню"}
	St_Mes2 = {en: "&Place equations instead of the text with tags <<>>", ru: "&Разместить формулы вместо текста с тэгами << >>"}
	St_Mes3 = {en: "Place the &new equation", ru: "&Вставить новую формулу"}
	St_Mes4 = {en: "&Edit the equation", ru: "&Исправить формулу"}
	St_Mes5 = {en: "&Test the duplicated equations", ru: "&Проверить дублированные формулы"}
	St_Mes6 = {en: "T&reat the text with equations", ru: "&Обработать текст с формулами"}
	St_Mes7 = {en: "&Batch transformation of equations", ru: "П&акетное преобразование формул"}
	St_Mes8 = {en: "Pre&ferences", ru: "&Установки"}
	St_Mes9 = {en: "It's impossible to start the script", ru: "Не удается запустить скрипт"}
	St_Mes10 = {en: "At least one open document is necessary\nfor work MT-Script-CS5", ru: "Для работы MT-Script-CS5 необходим\nхотя бы один открытый документ"}
	St_Mes11 = {en: "Find/&Change in equations", ru: "Поиск/&Замена в формулах"}
	St_Mes12 = {en: "Key's generator", ru: "Генератор ключа"}
    St_Mes13 = {en: "Export to Word", ru: "Экспорт в Word"}
    St_Mes14 = {en: "Convert to MT-Script standart", ru: "Приведение к стандарту MT-Script"}
    St_Mes15 = {en: "&Unembed equations", ru: "О&тменить встраивание формул"}

	var myWorkPath = "";
	
	var myIniStartFile = File(Folder.userData + "/mt-start-CS5.ini");
	
	if (myIniStartFile.exists == true) {
		if (myIniStartFile.open('r')) {
			myWorkPath = myIniStartFile.readln();
			myVersionLang = myIniStartFile.readln();
			myIniStartFile.close();
			if (myVersionLang == "Russian") {$.locale = "ru"} else {$.locale = "en"}
			}
		}

	try{
		app.menus.item("$ID/Main").submenus.item("MT-Script-CS5").remove();
	}
	catch(myError){}
	
	if (myWorkPath != "") {InitMenu()} else {
			alert(localize(St_Mes1), "MT-Script-CS5", false)}
	
	} // if (Bridge


//+++++++++++++++++++++++++++++++++++++++++++++++//

function InitMenu() {
	
	var myPasteFormula = app.scriptMenuActions.add(localize(St_Mes2));
	var myELPasteFormula = myPasteFormula.eventListeners.add("onInvoke", menuPasteFormula, false);
    
	var myUnembedFormula = app.scriptMenuActions.add(localize(St_Mes15));
	var myELUnembedFormula = myUnembedFormula.eventListeners.add("onInvoke", menuUnembedFormula, false);
	
	var myNewFormula = app.scriptMenuActions.add(localize(St_Mes3));
	var myELNewFormula = myNewFormula.eventListeners.add("onInvoke", menuInsertFormula, false);

	var myEditFormula = app.scriptMenuActions.add(localize(St_Mes4));
	var myELEditFormula = myEditFormula.eventListeners.add("onInvoke", menuEditFormula, false);
	
	var myDoubleFormula = app.scriptMenuActions.add(localize(St_Mes5));
	var myELDoubleFormula = myDoubleFormula.eventListeners.add("onInvoke", menuDoubleFormula, false);

	var myTreatFormula = app.scriptMenuActions.add(localize(St_Mes6));
	var myELTreatFormula = myTreatFormula.eventListeners.add("onInvoke", menuTreatFormula, false);
	
	var myConvertFormula = app.scriptMenuActions.add(localize(St_Mes7));
	var myELConvertFormula = myConvertFormula.eventListeners.add("onInvoke", menuConvertFormula, false);
	
	var myFndChgFormula = app.scriptMenuActions.add(localize(St_Mes11));
	var myELFndChgFormula = myFndChgFormula.eventListeners.add("onInvoke", menuFndChgFormula, false);
	
	var myValidFormula = app.scriptMenuActions.add(localize(St_Mes12));
	var myELValidFormula = myValidFormula.eventListeners.add("onInvoke", menuValidFormula, false);
	
	var myExport2Word = app.scriptMenuActions.add(localize(St_Mes13));
	var myELExport2Word = myExport2Word.eventListeners.add("onInvoke", menuExport2Word , false);
	
	var myMTStandart = app.scriptMenuActions.add(localize(St_Mes14));
	var myEMTStandart = myMTStandart.eventListeners.add("onInvoke", menuMTStandart , false);
	
	var myPrefFormula = app.scriptMenuActions.add(localize(St_Mes8));
	var myELPrefFormula = myPrefFormula.eventListeners.add("onInvoke", menuPrefFormula, false);

	//If the submenu "Script Menu Action" does not already exist, create it.
	try{
		var myMTScriptMenu = app.menus.item("$ID/Main").submenus.item("MT-Script-CS5");
		myMTScriptMenu.title;
	}
	catch (myError){
		var myMTScriptMenu = app.menus.item("$ID/Main").submenus.add("MT-Script-CS5");
		var myPasteFormulaMenuItem = myMTScriptMenu.menuItems.add(myPasteFormula);
		var myUnembedFormulaMenuItem = myMTScriptMenu.menuItems.add(myUnembedFormula);
		var myMenuSeparatorMenuItem = myMTScriptMenu.menuSeparators.add();
		var myNewFormulaMenuItem = myMTScriptMenu.menuItems.add(myNewFormula);
		var myEditFormulaMenuItem = myMTScriptMenu.menuItems.add(myEditFormula);
		var myMenuSeparatorMenuItem = myMTScriptMenu.menuSeparators.add();
		var myDoubleFormulaMenuItem = myMTScriptMenu.menuItems.add(myDoubleFormula);
		var myTreatFormulaMenuItem = myMTScriptMenu.menuItems.add(myTreatFormula);
		var myConvertFormulaMenuItem = myMTScriptMenu.menuItems.add(myConvertFormula);
		var myMenuSeparatorMenuItem = myMTScriptMenu.menuSeparators.add();
		var myFndChgFormulaMenuItem = myMTScriptMenu.menuItems.add(myFndChgFormula);
		var myExport2WordItem = myMTScriptMenu.menuItems.add(myExport2Word);
		var myMTStandartItem = myMTScriptMenu.menuItems.add(myMTStandart);
		var myMenuSeparatorMenuItem = myMTScriptMenu.menuSeparators.add();
		var myValidFormulaMenuItem = myMTScriptMenu.menuItems.add(myValidFormula);
		var myMenuSeparatorMenuItem = myMTScriptMenu.menuSeparators.add();
		var myDoubleFormulaMenuItem = myMTScriptMenu.menuItems.add(myPrefFormula);
	}
	
}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuPasteFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
				myScript = new File(myWorkPath+"/MT-PasteEq-CS5.jsxbin");
			
				if (!myScript.exists) {
					myScript = new File(myWorkPath+"/MT-PasteEq-CS5.jsx")
					}

				if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
					else {
						alert(localize(St_Mes9) + "MT-PasteEq-CS5", "MT-Script-CS5", false)
						}
				
			} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
		}
    
//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuUnembedFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
				myScript = new File(myWorkPath+"/MT-UnembedEq-CS5.jsx");
			
				if (!myScript.exists) {
					myScript = new File(myWorkPath+"/MT-UnembedEq-CS5.jsxbin")
					}

				if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
					else {
						alert(localize(St_Mes9) + "MT-UnembedEq-CS5", "MT-Script-CS5", false)
						} 
				
			} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
		}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuInsertFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-NewEq-CS5.jsxbin")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-NewEq-CS5.jsx")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-NewEq-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
		}
	
//+++++++++++++++++++++++++++++++++++++++++++++++//
	
	
	function menuEditFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-EditEq-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-EditEq-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-EditEq-CS5", "MT-Script-CS5", false)
					} 
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuTreatFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
			
			myScript = new File(myWorkPath+"/MT-TreatEq-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-TreatEq-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-TreatEq-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuPrefFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-Dialog-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-Dialog-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-Dialog-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//


	function menuDoubleFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-ClearDoubleLinks-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-ClearDoubleLinks-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-ClearDoubleLinks-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//


	function menuConvertFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-Convert-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-Convert-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-Convert-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuFndChgFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-FindChange-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-FindChange-CS5.jsx")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-FindChange-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuValidFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-GetValidInfo-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-GetValidInfo-CS5.jsx")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-GetValidInfo-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}

//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuMTStandart(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-RenameEqn-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-RenameEqn-CS5.jsxbin")
				}

			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-RenameEqn-CS5", "MT-Script-CS5", false)
					}

		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}


//+++++++++++++++++++++++++++++++++++++++++++++++//

	function menuExport2Word(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-InDesign2Word-CS5.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-InDesign2Word-CS5.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert(localize(St_Mes9) + " MT-InDesign2Word-CS5", "MT-Script-CS5", false)
					}
				
		} else {alert(localize(St_Mes10), "MT-Script-CS5", false)}
	
	}





